summaryrefslogtreecommitdiffstats
path: root/scripts/sh/_templates/goapps/remove_app.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/sh/_templates/goapps/remove_app.sh')
-rw-r--r--scripts/sh/_templates/goapps/remove_app.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/scripts/sh/_templates/goapps/remove_app.sh b/scripts/sh/_templates/goapps/remove_app.sh
new file mode 100644
index 0000000..1def777
--- /dev/null
+++ b/scripts/sh/_templates/goapps/remove_app.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+# Check for existing installation in `/opt`.
+
+if [ ! -d /opt/app ]
+then
+echo "This will kill running app services and cause data loss! Remove app? "
+read text -r
+
+# https://github.com/koalaman/shellcheck/wiki/SC3015
+# https://github.com/koalaman/shellcheck/wiki/SC2003
+# Need a POSIX compatible regex soln below!
+expr "$text" : "^[Yy]$" > /dev/null
+if [ "$text" ]
+then
+echo "Removing app"
+systemctl disable --now app.service || true
+rm -f /etc/systemd/system/app.service
+rm -rf /opt/app
+userdel -f app
+groupdel -f app
+echo "OK"
+fi
+else
+echo "Could not find a compatible installation of app."
+fi